<?php
/** Gitlab Issue List Script
*
* Simple script to generate an simple HTML listing of Gitlab Issues using the public API
*
*
* @copyright (C) 2021 B Tasker (http://www.bentasker.co.uk). All rights reserved
* @license GNU GPL V3 - See LICENSE
*
* @version 0.1
*
*/

defined('listpage') or die;
?>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="alternate" type="application/json" href="index.json">
<title>Wiki: <?php echo htmlspecialchars($page['page']->title) . "/".  $page['project']->name_with_namespace; ?></title>
<?php require 'head-includes.php'; ?>
</head>
<body class="homepage">
<!--sphider_noindex-->
<hr />
	<div id='logoarea'></div>
	<h1>Wiki:  <?php echo htmlspecialchars($page['page']->title) . "/".  $page['project']->name_with_namespace; ?></h1>
<hr />


<ul itemprop="breadcrumb" class="breadcrumbs">
        <li><a href="/index.html">Projects</a></li>
        <li><a href="<?php echo GILSUtils::qs2sef("proj={$page['project']->path_with_namespace}");?>"><?php echo htmlspecialchars($page['project']->name_with_namespace);?></a></li>      
        <li><a href="<?php echo GILSUtils::qs2sef("wiki={$page['project']->path_with_namespace}"); ?>">Wiki</a></li>
        <li><a href="<?php echo GILSUtils::qs2sef("wiki={$page['project']->path_with_namespace}&page={$page['page']->slug}"); ?>"><?php echo htmlspecialchars($page['page']->title) ?></a></li>
      
</ul>
<hr />

<?php if ($template_vars['display_gitlab_links']): ?>
    <div class="gitlablink">
        <a href="<?php echo GILSUtils::forceHTTPS($page['page']->gitlab_url);?>">View in Gitlab</a>
    </div>
<?php endif; ?>


<div class="wiki-page-content">
    <?php echo GILSUtils::markdownToHTML($page['page']->content);?>
</div>

<hr />
</body>
</html>
